Page MenuHomePhabricator

Add topic broken for anons
Closed, ResolvedPublic

Description

As an anonymous user, go to http://en.wikipedia.beta.wmflabs.org/wiki/Talk:Flow_QA

Add valid information and click Add topic when it becomes visible.

Briefly see a spinner, but no other feedback. Topic does not seem to have been added

Console shows error "TypeError: invalid 'in' operand obj"

Refresh the page. Topic was in fact added.


Version: unspecified
Severity: major

Details

Reference
bz71318

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 3:58 AM
bzimport set Reference to bz71318.
bzimport added a subscriber: Unknown Object (MLST).

Reply to post also broken, Load more broken.

Probably an issue with templates, maybe l10n.

Change 162117 had a related patch set uploaded by EBernhardson:
Handlebars helpers have different signature than used

https://gerrit.wikimedia.org/r/162117

Change 162117 merged by jenkins-bot:
Handlebars helpers have different signature than used

https://gerrit.wikimedia.org/r/162117

Change 162943 had a related patch set uploaded by EBernhardson:
Handlebars helpers have different signature than used

https://gerrit.wikimedia.org/r/162943

Change 162943 merged by jenkins-bot:
Handlebars helpers have different signature than used

https://gerrit.wikimedia.org/r/162943

fixed on beta

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:32 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 28 2016, 5:56 PM